#include "AppConfig.h"

// Provide your LicenseSpring credentials here, please keep them safe
const char* ApiKey = ""; // your LicenseSpring API key (UUID)
const char* SharedKey = ""; // your LicenseSpring Shared key
const char* ProductCode = ""; // product code that you specified in LicenseSpring for your application

LSConfiguration* CreateLicenseSpringConfig()
{
    // Optionally you can provide full path where license file will be stored, hardwareID and other options
    LSExtendedOptions* options = CreateLSExtendedOptions();
    options->collectNetworkInfo( options, true );
    // options->enableLogging( options, true );
    // options->enableVMDetection( options, true );

    LSConfiguration* pConfiguration = CreateLSConfiguration( ApiKey, SharedKey, ProductCode,
                                                             APP_NAME, APP_VERSION, options );

    FreeLSExtendedOptions( options );

    return pConfiguration;
}
